package com.ruoyi.programManagement.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 行政区划对象 b_administrative
 *
 * @author ruoyi
 * @date 2023-09-11
 */
@Data
public class BAdministrative extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 行政区划
     */
    @Excel(name = "行政区划")
    private String region;

    /**
     * 所在省
     */
    @Excel(name = "所在省")
    private String province;

    /**
     * 所在市
     */
    @Excel(name = "所在市")
    private String city;

    /**
     * 所在县（市，区）
     */
    @Excel(name = "所在县", readConverterExp = "市=，区")
    private String county;

    /**
     * 所在乡镇
     * （街道）
     */
    @Excel(name = "所在乡镇 ", readConverterExp = "街=道")
    private String subdistrict;

    /**
     * 机构名称
     */
    @Excel(name = "机构名称")
    private String institutionName;


}
