package com.ruoyi.programManagement.entity.request;

import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

@ApiModel
@Data
public class BAdministrativeDistrictRequest {
    /**
     * 区划代码
     */
    private String districtCode;
    /**
     * 区划
     */
    private String district;
    private List<BAdministrativeTreeRequest> children;

    public BAdministrativeDistrictRequest(String districtCode,String district) {
        this.districtCode = districtCode;
        this.district = district;
        this.children = new ArrayList<>();
    }

    public void addChild(BAdministrativeTreeRequest childDto) {
        this.children.add(childDto);
    }
}



