package com.ruoyi.programManagement.entity.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 执法计划工作情况响应类
 */
@Data
@ApiModel("执法计划工作情况响应类")
public class zhifaCountResponse {
    /**
     * 部门id
     */
    @ApiModelProperty(value = "部门id")
    private String deptId;


    /**
     * 部门名称
     */
    @ApiModelProperty(value = "部门名称")
    private String deptName;



    /**
     * 省重点企业数量
     */
    @ApiModelProperty(value = "省重点企业数量")
    private Integer keyPlan;




    /**
     * 非省重点企业数量
     */
    @ApiModelProperty(value = "非省重点企业数量")
    private Integer nonKeyPlan;


    /**
     * 省重点完成数
     */
    @ApiModelProperty(value = "省重点完成数")
    private Integer keyCompleted;



    /**
     * 非省重点完成数
     */
    @ApiModelProperty(value = "非省重点完成数")
    private Integer nonKeyCompleted;



    /**
     * 省重点完成比
     */
    @ApiModelProperty(value = "省重点完成比")
    private Integer percentageCompleted;



    /**
     * 非省重点完成比
     */
    @ApiModelProperty(value = "非省重点完成比")
    private Integer percentageNonCompleted;


    /**
     * 合计计划数量
     */
    @ApiModelProperty(value = "合计计划数量")
    private Integer totalPlanCount;
}
