package com.ruoyi.programManagement.quartz;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.programManagement.entity.*;
import com.ruoyi.programManagement.mapper.BEnterpriseNewMapper;
import com.ruoyi.programManagement.mapper.BStandardizationMapper;
import com.ruoyi.programManagement.mapper.SzsEnterpriseInformationMapper;
import com.ruoyi.programManagement.service.BPlanEnterpriseService;
import com.ruoyi.programManagement.service.ISzEnforExamineService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;

/**
 * 定时任务更新企业新表
 */
//@Configuration
//@EnableScheduling
@Api(tags = "定时任务")
@RestController
@RequestMapping("/pharmaceuticals/quartz")
public class EnterpristQuartz {
    @Autowired
    private SzsEnterpriseInformationMapper szsEnterpriseInformationMapper;

    @Autowired
    private BEnterpriseNewMapper bEnterpriseNewMapper;

    @Autowired
    private BStandardizationMapper bStandardizationMapper;

    @Autowired
    private ISzEnforExamineService szEnforExamineService;


    @Resource
    private BPlanEnterpriseService bPlanEnterpriseService;

    // 每周一早上五点5点执行一次任务 生成企业新表
//    @Scheduled(cron = "0 0 17 ? * SUN")
    @GetMapping("/getList")
    @ApiOperation(value = "定时任务")
    public AjaxResult updateInformationData() {
        // 查询szs_enterprise_informa tion表中的数据
//        List<SzsEnterpriseInformation> enterpriseInformationList = szsEnterpriseInformationMapper.selectSzsEnterpriseInformationList(null);
//        // 遍历数据并更新到b_enterprise_new表中
//        List<String> szsList = new ArrayList<>();
//        for (SzsEnterpriseInformation enterpriseInformation : enterpriseInformationList) {
//            BEnterpriseNew enterpriseNew = new BEnterpriseNew();
//            enterpriseNew.setEnterpriseId(enterpriseInformation.getUuitNo());
//            enterpriseNew.setEnterpriseName(enterpriseInformation.getEnterpriseName());
//            enterpriseNew.setDistrict(enterpriseInformation.getSubdistrict());
//            enterpriseNew.setSupervisionLarge(enterpriseInformation.getSupervisionLarge());
//            // 根据enterpriseId判断数据是否已存在
//            QueryWrapper<BEnterpriseNew> queryWrapper = new QueryWrapper<>();
//            queryWrapper.eq("enterprise_id", enterpriseInformation.getUuitNo());
//            //获取enterpriseName
//            szsList.add(enterpriseNew.getEnterpriseName());
//            Long count = bEnterpriseNewMapper.selectCount(queryWrapper);
//            if (count > 0) {
//                // 更新数据
//                bEnterpriseNewMapper.updateBEnterpriseNew(enterpriseNew);
//            } else {
//                // 插入数据
//                bEnterpriseNewMapper.insertBEnterpriseNew(enterpriseNew);
//            }
//        }
//        // 查询b_enterprise_new表中的所有企业名称
//        List<BEnterpriseNew> enterpriseList = bEnterpriseNewMapper.selectBEnterpriseNewList(null);
//        // 查询b_standardization表中的所有企业名称
//        List<BStandardization> standardizationList = bStandardizationMapper.selectBStandardizationList(null);
//        //更新b_enterprise_new表中匹配的企业的STAND_LEVEL字段
//        for (BEnterpriseNew enterprise : enterpriseList) {
//            for (BStandardization standardization : standardizationList) {
//                if (enterprise.getEnterpriseName().equals(standardization.getEnterpriseName())) {
//                    // 执行更新操作，例如：
//                    enterprise.setStandLevel(standardization.getStandardizedGrade());
//                    bEnterpriseNewMapper.updateBEnterpriseNew(enterprise);
//                } else {
//                    enterprise.setStandLevel("/");
//                    bEnterpriseNewMapper.updateBEnterpriseNew(enterprise);
//                }
//            }
//        }
//        // 找出在b_standardization表中存在但在b_enterprise_new表中不存在的企业名称
//        List<BStandardization> notInEnterpriseNew = new ArrayList<>();
//        for (BStandardization standardization : standardizationList) {
//            boolean found = false;
//            for (BEnterpriseNew enterprise : enterpriseList) {
//                if (enterprise.getEnterpriseName().equals(standardization.getEnterpriseName())) {
//                    found = true;
//                    break;
//                }
//            }
//            if (!found) {
//                BStandardization b = new BStandardization();
//                b.setStandardizedGrade(standardization.getStandardizedGrade());
//                b.setEnterpriseName(standardization.getEnterpriseName());
//                notInEnterpriseNew.add(b);
//            }

      //  }
//        // 查询b_enterprise_new表中的所有企业名称 更新检查时间
//        for (BEnterpriseNew a : enterpriseList) {
//            BEnterpriseNew bEnterpriseNew = new BEnterpriseNew();
//            List<SzEnforExamine> szEnforExamineList = szEnforExamineService.getByEnterPriseCode(a.getEnterpriseId());
//            for (SzEnforExamine b:szEnforExamineList) {
//                bEnterpriseNew.setId(a.getId());
//                bEnterpriseNew.setExamineEndTime(b.getExamineEndTime());
//                bEnterpriseNewMapper.updateBEnterpriseNew(bEnterpriseNew);
//            }
//        }
        return AjaxResult.success(null);
    }


    // 定时任务修改更新计划表的检查状态、检查id、检查时效字段
    @GetMapping("/updateExamine")
    @ApiOperation(value = "定时任务修改更新计划表的检查状态、检查id、检查时效字段")
    public AjaxResult updateExamine() {
      //查询计划表中的所有数据
        List<BPlanEnterprise> list = bPlanEnterpriseService.selectBPlanEnterpriseList(null);
        for (BPlanEnterprise a:list){
            BEnterpriseNew bEnterpriseNew = new BEnterpriseNew();
            List<SzEnforExamine> szEnforExamineList = szEnforExamineService.getByEnterPriseCode(a.getEnterpriseId());
            for (SzEnforExamine b:szEnforExamineList) {
                bEnterpriseNew.setId(a.getId());
                bEnterpriseNew.setExamineEndTime(b.getExamineEndTime());
                bEnterpriseNewMapper.updateBEnterpriseNew(bEnterpriseNew);
            }
        }
        return null;
    }

}
