package com.ruoyi.programManagement.entity;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 标准化对象 b_standardization
 *
 * @author ruoyi
 * @since 2023-12-18
 */
@Data
@ApiModel("标准化")
public class BStandardization extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private Long id;

    /**
     * 企业名称
     */
    @Excel(name = "企业名称")
    @ApiModelProperty(value = "企业名称")
    private String enterpriseName;

    /**
     * 标准化等级
     */
    @Excel(name = "标准化等级")
    @ApiModelProperty(value = "标准化等级")
    private String standardizedGrade;


}
